package com.mdd.admin.validate.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统岗位搜索参数")
public class SystemPostSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("编码")
   private String code;
   @ApiModelProperty("岗位名称")
   private String name;
   @ApiModelProperty("是否停用")
   private Integer isStop;

   public String getCode() {
      return this.code;
   }

   public String getName() {
      return this.name;
   }

   public Integer getIsStop() {
      return this.isStop;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setIsStop(Integer isStop) {
      this.isStop = isStop;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemPostSearchValidate)) {
         return false;
      } else {
         SystemPostSearchValidate other = (SystemPostSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$isStop = this.getIsStop();
               Object other$isStop = other.getIsStop();
               if (this$isStop == null) {
                  if (other$isStop == null) {
                     break label47;
                  }
               } else if (this$isStop.equals(other$isStop)) {
                  break label47;
               }

               return false;
            }

            Object this$code = this.getCode();
            Object other$code = other.getCode();
            if (this$code == null) {
               if (other$code != null) {
                  return false;
               }
            } else if (!this$code.equals(other$code)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemPostSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $isStop = this.getIsStop();
      result = result * 59 + ($isStop == null ? 43 : $isStop.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null ? 43 : $code.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "SystemPostSearchValidate(code=" + this.getCode() + ", name=" + this.getName() + ", isStop=" + this.getIsStop() + ")";
   }
}
